.content-message-page {
  flex-grow: 1;
  max-width: 582.28px;
  color: var(--text);
}

.main-message-container {
  border: 2px solid var(--border);
  border-radius: 1rem;
}

.main-message-container .main-message-wrapper .content-message-wrapper {
  overflow: auto;
  height: 50vh;
}

.main-message-container .main-message-wrapper .main-message-head {
  display: flex;
  padding: 0.5rem 1rem;
  border-bottom: 1px solid var(--border);
}

.main-message-container .main-message-wrapper .main-message-head p:first-child {
  font-weight: 600;
}

.main-message-container
  .main-message-wrapper
  .main-message-head
  p:nth-child(2) {
  margin-left: 1.5rem;
}

.main-message-container .main-message-wrapper .main-message-head p:last-child {
  margin-left: auto;
  font-weight: 600;
}

.main-message-container .main-message-wrapper .empty-line {
  height: 10rem;
  border-bottom: 1px solid var(--border);
  width: 100%;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-personal-wrapper {
  padding: 1.2rem;
  border-bottom: 1px solid var(--border);
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-personal-wrapper
  .each-message-personal-container {
  border: 1px solid var(--border);
  padding: 1.2rem;
  border-radius: 10px;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-personal-wrapper
  .each-message-personal-container
  .each-message-personal-head {
  display: flex;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-personal-wrapper
  .each-message-personal-container
  .each-message-personal-head
  p:last-child {
  margin-left: auto;
  padding: 0.6rem;
  font-size: 0.8rem;
  font-weight: 600;
  color: var(--btnTrans);
  background-color: var(--mainHeroBtn);
  border-radius: 0.8rem;
  border: none;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper {
  padding: 1.2rem;
  border-bottom: 1px solid var(--border);
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head {
  display: flex;
  align-items: center;
  gap: 1.5rem;
  color: var(--text);
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  .avatar-wrapper {
  background-color: var(--secondImage);
  width: 40px;
  height: 40px;
  position: relative;
  overflow: hidden;
  border-radius: 50%;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  .avatar-wrapper
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 70%;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  .context-detail {
  display: flex;
  flex-direction: column;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  .context-detail
  p {
  font-size: 0.8rem;
  margin: 0;
  margin-bottom: 0.5rem;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  .context-detail
  p:first-child {
  font-weight: bold;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-content {
  margin-top: 1rem;
  font-size: 0.8rem;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-content
  .image-message-wrapper {
  width: 200px;
  height: 200px;
  position: relative;
  overflow: hidden;
  background: var(--mainHeroBtn);
  border: 0.1rem solid var(--border);
  border-radius: 20px;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  p {
  margin-left: auto;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-head
  p
  svg {
  width: 20px;
  height: 20px;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .each-message-public-wrapper
  .each-message-public-container
  .each-message-public-content
  .image-message-wrapper
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

.main-message-container .main-message-wrapper .textarea-wrapper {
  padding: 1rem;
}

.main-message-container .main-message-wrapper .chat-image-container img {
  padding: 1rem 70px 0;
  height: 5rem;
}

.main-message-container .main-message-wrapper .textarea-wrapper textarea {
  width: 100%;
  border-color: var(--border);
  padding: 1rem;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
       box-sizing: border-box;
}

.main-message-container .main-message-wrapper .textarea-wrapper .message-btn {
  padding: 1rem 0;
}

.main-message-container
  .main-message-wrapper
  .textarea-wrapper
  .message-btn
  .message-btn-upload
  input {
  display: none;
}

.main-message-container
  .main-message-wrapper
  .textarea-wrapper
  .message-btn
  .message-btn-upload
  .img-button {
  color: var(--mainHeroBtn);
  background-color: var(--btnTrans);
  border: 1px solid var(--mainHeroBtn);
  border-radius: 3rem;
  padding: 0.5rem 1.5rem;
  font-weight: 600;
}

.main-message-container .main-message-wrapper .textarea-wrapper .message-btn {
  display: flex;
  justify-content: space-between;
}

.main-message-container
  .main-message-wrapper
  .textarea-wrapper
  .message-btn
  .message-btn-send
  button {
  padding: 0.4rem 1.1rem;
  color: var(--btnTrans);
  background-color: var(--mainSecondBtn);
  border-radius: 5px;
  text-align: center;
  font-weight: 500;
  font-size: medium;
  border-color: transparent;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .btn-load-more
  button {
  padding: 0.5rem 1.5rem;
  color: var(--btnTrans);
  background-color: var(--mainHeroBtn);
  border-radius: 5px;
  text-align: center;
  font-weight: 500;
  font-size: large;
  border-color: transparent;
  width: 95%;
}

.main-message-container
  .main-message-wrapper
  .content-message-wrapper
  .btn-load-more {
  justify-content: center;
  display: flex;
  margin-top: 0.75rem;
}

.main-message-container
  .main-message-wrapper
  .textarea-wrapper
  .message-btn
  .message-btn-send
  button
  img {
  margin-left: 5px;
}

/* modal */
.textarea-wrapper .message-btn .message-btn-upload .notif-modal {
  position: fixed;
  z-index: 999999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #00000066;
  transition: 0.3s ease;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content {
  background-color: var(--btnTrans);
  margin: 15% auto;
  padding: 20px;
  border: 1px solid var(--border);
  width: 50%;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .upper {
  width: 100%;
  display: flex;
  justify-content: space-around;
  margin-bottom: 1rem;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .upper
  .close-modal {
  color: var(--mainGreyBtn);
  font-size: 28px;
  font-weight: bold;
  background-color: transparent;
  border: none;
  margin: 0;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .image-container {
  padding: 2rem;
  display: flex;
  flex-wrap: wrap;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .image-container
  .notif-img-wrapper {
  width: 100px;
  height: 100px;
  position: relative;
  overflow: hidden;
  border-radius: 1rem;
  margin: 0.5rem;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .image-container
  .notif-img-wrapper
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-width: 100%;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .notif-text {
  font-size: 0.8rem;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  div
  .upload-notif-img {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  div
  .upload-notif-img
  + label {
  font-weight: 600;
  font-size: 0.8rem;
  margin: 0 0.5rem 0.5rem;
  padding: 0.5rem 1rem;
  display: inline-block;
  cursor: pointer;
  border-radius: 0.5rem;
  background-color: var(--btnTrans);
  border: 0.13rem solid var(--mainHeroBtn);
  box-sizing: border-box;
  color: var(--mainHeroBtn);
  transition: 0.3s ease;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  div
  .upload-notif-img
  + label:hover {
  background-color: var(--mainHeroBtn);
  color: var(--btnTrans);
  outline: none;
}

.textarea-wrapper
  .message-btn
  .message-btn-upload
  .notif-modal
  .notif-modal-content
  .notif-clear-btn
  button {
  font-weight: 600;
  font-size: 0.8rem;
  margin: 0 0.5rem 0.5rem;
  padding: 0.3rem 1rem;
  display: inline-block;
  cursor: pointer;
  border-radius: 0.5rem;
  background-color: var(--btnTrans);
  border: 0.13rem solid var(--mainHeroBtn);
  box-sizing: border-box;
  color: var(--mainHeroBtn);
  transition: 0.3s ease;
}
